Skip to main content

Details of an Event

You can retrieve detailed information about a specific Event through the Aptoide Connect Developer Console or programmatically via this API endpoint.

Endpoint

MethodURL
GEThttps://ws.catappult.io/api/events/{uid}

Authentication

To access this API, you need to have an active account subscription on Aptoide Connect and authenticate with an API key (check here how to generate one).

Headers

HeaderTypeRequiredDescription
Api-KeystringRequiredUsed to authenticate your API requests. The value is your Aptoide Connect API key.

Path Parameters

ParameterTypeDescription
uidstringThe unique identifier (UUID) of the event (e.g. 56fd535b-b071-402c-a4fa-29807eb050c9).

Example Request

curl -X GET "https://ws.catappult.io/api/events/56fd535b-b071-402c-a4fa-29807eb050c9" \
-H "Api-Key: <YOUR_API_KEY>"

Response

Success

If the API call returns an HTTP 200 status code, the request was successful and it returns a JSON object containing detailed information about the event.

Example Response

{
"uid": "56fd535b-b071-402c-a4fa-29807eb050c9",
"name": "Test Event",
"type": "CUSTOM",
"status": "active",
"startTimestamp": "2026-02-04 00:30:00",
"endTimestamp": "2026-04-30 00:00:00",
"createdAt": "2026-02-05 16:06:33",
"updatedAt": "2026-04-01 14:30:34",
"allowedPartners": ["APTOIDE-GAMES"],
"application": {
"name": "com.aptoide.diceroll.sdk",
"title": "Aptoide Diceroll SDK",
"iconUrl": "https://ws.catappult.io/api/applications/com.aptoide.diceroll.sdk/icon",
"featureGraphicUrl": "https://ws.catappult.io/api/applications/com.aptoide.diceroll.sdk/featureGraphic"
},
"data": {
"allowedPartners": "APTOIDE-GAMES",
"applySameFilesToAllLocales": "false"
},
"locales": [
{
"localeName": "en_GB",
"description": "Test",
"longDescription": "Test",
"files": [
{
"id": 863,
"name": "b737866e7065a09e02a8393dd4c83a42_com-aptoide-diceroll-sdk-none-promotion-asset.webp",
"downloadUrl": "https://cdn-catappult.aptoide.com/promotion_asset/b737866e7065a09e02a8393dd4c83a42_com-aptoide-diceroll-sdk-none-promotion-asset.webp",
"ratio": "256:125"
}
]
}
],
"promotions": [
{
"uid": "9dbf70ff-30a4-4d82-b062-42ab24126e59",
"name": "Test Promotion 1",
"type": "SEARCH",
"status": "active",
"startTimestamp": "2026-03-16 00:00:00",
"endTimestamp": "2026-04-30 00:00:00",
"createdAt": "2026-03-26 20:47:20",
"updatedAt": "2026-04-20 15:56:27",
"hasStatistics": false,
"event": null,
"partner": { "name": "APTOIDE-GAMES" },
"application": {
"name": "com.aptoide.diceroll.sdk",
"title": "Aptoide Diceroll SDK",
"operatingSystem": "android",
"iconUrl": "https://ws.catappult.io/api/applications/com.aptoide.diceroll.sdk/icon",
"featureGraphicUrl": "https://ws.catappult.io/api/applications/com.aptoide.diceroll.sdk/featureGraphic"
},
"data": {
"name": "Test Promotion 1",
"oemId": "562c8031d4a08ba95e682a800cd04448",
"utmContent": "search"
},
"files": [
{
"id": 385,
"name": "64c5826a724c1bb78332c0ed67b5f83b_com-aptoide-diceroll-sdk-none-promotion-asset.png",
"downloadUrl": "https://cdn-catappult.aptoide.com/promotion_asset/64c5826a724c1bb78332c0ed67b5f83b_com-aptoide-diceroll-sdk-none-promotion-asset.png"
}
]
}
]
}

The promotions array contains all Promotions linked to the event (via the promotion's eventUid).